Skip to main content
POST
https://api.dintero.com/v1
/
examples
/
cdd_case_update
cdd_case_update
curl --request POST \
  --url https://api.dintero.com/v1/examples/cdd_case_update \
  --header 'content-type: <content-type>' \
  --header 'event: <event>' \
  --header 'event-delivery: <event-delivery>' \
  --data '
{
  "account_id": "P12345678",
  "event": "cdd_case_update",
  "event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
  "account": {
    "applicant": {
      "email": "customer@example.com",
      "agreement": {
        "name": "<string>",
        "version": "<string>",
        "personal_guarantee_accepted": true,
        "attachments": [
          {
            "name": "Cookie Policy",
            "version": "<string>"
          }
        ]
      },
      "first_name": "John",
      "last_name": "Doe",
      "phone_number": "+4799999999",
      "recaptcha_sitekey": "6LdE_pIUAAAAAHbiL0uHjHg2Mgn2IILTvZdA_Ux-",
      "recaptcha_response": "03AOLTBLSbzmXKXuAz9N--DsZ1xWmhfx6okCheBPesOsNmRSdkfcO4E5CkeBQQFJkC_emfE_KF0P8C3T57Nr9eOon_PVTEIq1NUpRS5oGkGMhr1vxVe1F7txMYUc4ClxUDLxWiW5WgnDvWHC7gOnlJZKvxVE4gn7qAJijE6SFMXkvFOwoWcx_kONmBHGnXHGgxIe2M8G-FkIKr0WZbQIDYmDaiQxb6mL1L70UGOyO280v2Pp65JB1mSohdeJLdQhHeye6v6__H9_M0GxDGd8s-LoLUY5Vq9hKbAs8MCsh2OFwtpbTYGfqmDbTwsc2v8SqOOZ86uKXwl7gyk3RHXT27m8Rv8iZAs2Ym5w",
      "promo_code": "<string>",
      "signup_reference": "<string>",
      "utm": {
        "utm_source": "google",
        "utm_medium": "cpc",
        "utm_campaign": "spring_sale",
        "utm_term": "running+shoes",
        "utm_content": "textlink"
      }
    },
    "company": {
      "business_name": "TKP tech AS",
      "address": {
        "address_line": "Sommerkroveien 34",
        "postal_place": "Oslo",
        "country": "NO",
        "address_line_2": "PB 123",
        "postal_code": "0349"
      },
      "display_name": "TKP tech instore AS",
      "organization_number": "123456789MVA",
      "industry": "computer industry",
      "website": "<string>",
      "terms_url": "<string>",
      "bank_name": "<string>",
      "account_number": "<string>",
      "email": "contact@business.dintero.com",
      "technical_email": "tech_support@business.dintero.com",
      "phone_number": "<string>",
      "branding": {
        "icon_url": "<string>",
        "logo_url": "<string>"
      },
      "merchant_category_code": "<string>",
      "average_transaction_value": "<string>",
      "most_expensive_product_price": "<string>",
      "projected_sales": "<string>",
      "terms": [
        {
          "type": "all",
          "href": "<string>"
        }
      ],
      "contacts": [
        {
          "phone_number": "<string>",
          "email": "jsmith@example.com",
          "website": "<string>",
          "type": "support"
        }
      ],
      "public_business_name": "TKP tech"
    },
    "billing": {
      "business_name": "TKP tech AS",
      "address": {
        "address_line": "Sommerkroveien 34",
        "postal_place": "Oslo",
        "country": "NO",
        "address_line_2": "PB 123",
        "postal_code": "0349"
      },
      "organization_number": "123456789MVA",
      "email": "billing@business.dintero.com",
      "reference": "<string>",
      "phone_number": "<string>",
      "billing_statement": {
        "name": "John Doe",
        "phone_number": "+4745454545"
      }
    },
    "payment_case_status": "ACTIVE",
    "attachments": [
      {
        "ref": "<string>",
        "href": "<string>"
      }
    ],
    "livemode": false,
    "language_code": "<string>",
    "allowed_merchant_category_codes": [
      "<string>"
    ],
    "progression": "applied",
    "reseller_id": "DINTERO_ACCOUNT:99900000",
    "permissions": [
      {
        "effect": "allow",
        "action": [
          "checkout:auto_capture"
        ]
      }
    ],
    "sale_channel": "DIRECT",
    "price_package": "<string>",
    "statistics": {
      "metrics": {
        "checkout:transaction:first_capture_at": "<string>",
        "checkout:transaction:last_capture_at": "<string>"
      }
    },
    "services": {},
    "approvals_payments_statuses": {
      "ACTIVE": 123,
      "DECLINED": 123,
      "UNDER_MANUAL_REVIEW": 123,
      "AUTOMATIC_REVIEW": 123,
      "WAITING_FOR_SIGNATURE": 123,
      "WAITING_FOR_DECLARATION": 123,
      "WAITING_FOR_DETAILS": 123,
      "ERROR": 123,
      "ARCHIVED": 123,
      "TERMINATED": 123
    },
    "approvals_payout_destinations_statuses": {
      "ACTIVE": 123,
      "DECLINED": 123,
      "UNDER_MANUAL_REVIEW": 123,
      "AUTOMATIC_REVIEW": 123,
      "WAITING_FOR_SIGNATURE": 123,
      "WAITING_FOR_DECLARATION": 123,
      "WAITING_FOR_DETAILS": 123,
      "ERROR": 123,
      "ARCHIVED": 123,
      "TERMINATED": 123
    },
    "configuration": {
      "default_price_package": "<string>"
    }
  }
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

event
string
required
event-delivery
string
required
event-signature
string
content-type
string
required

Body

application/json
account_id
string
required
Example:

"P12345678"

event
enum<string>
required
Available options:
cdd_case_update
Example:

"cdd_case_update"

event_delivery
string<uuid>
required
Example:

"9ebb6d41-dca5-484e-8330-9c9fa96b60ba"

account
object
required

Account properties that are private and managed by the root partner.

payout_case
object

The payment case that was updated

payout_destination_case
object

The seller approval case that was updated or deleted

Response

event handled